using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

/// <summary>
/// Ogólny opis CustomerMembershipProvider
/// </summary>
public class CustomerMembershipProvider: MembershipProvider 
{
	public CustomerMembershipProvider()
	{
	}

   public override string ApplicationName
   {
      get
      {
         throw new Exception("Metoda lub operacja nie jest zaimplementowana.");
      }
      set
      {
         throw new Exception("Metoda lub operacja nie jest zaimplementowana.");
      }
   }

   public override bool ChangePassword(string username, string oldPassword, string newPassword)
   {
      throw new Exception("Metoda lub operacja nie jest zaimplementowana.");
   }

   public override bool ChangePasswordQuestionAndAnswer(string username, string password, string newPasswordQuestion, string newPasswordAnswer)
   {
      throw new Exception("Metoda lub operacja nie jest zaimplementowana.");
   }

   public override MembershipUser CreateUser(string username, string password, string email, string passwordQuestion, string passwordAnswer, bool isApproved, object providerUserKey, out MembershipCreateStatus status)
   {
      throw new Exception("Metoda lub operacja nie jest zaimplementowana.");
   }

   public override bool DeleteUser(string username, bool deleteAllRelatedData)
   {
      throw new Exception("Metoda lub operacja nie jest zaimplementowana.");
   }

   public override bool EnablePasswordReset
   {
      get { throw new Exception("Metoda lub operacja nie jest zaimplementowana."); }
   }

   public override bool EnablePasswordRetrieval
   {
      get { throw new Exception("Metoda lub operacja nie jest zaimplementowana."); }
   }

   public override MembershipUserCollection FindUsersByEmail(string emailToMatch, int pageIndex, int pageSize, out int totalRecords)
   {
      throw new Exception("Metoda lub operacja nie jest zaimplementowana.");
   }

   public override MembershipUserCollection FindUsersByName(string usernameToMatch, int pageIndex, int pageSize, out int totalRecords)
   {
      throw new Exception("Metoda lub operacja nie jest zaimplementowana.");
   }

   public override MembershipUserCollection GetAllUsers(int pageIndex, int pageSize, out int totalRecords)
   {
      throw new Exception("Metoda lub operacja nie jest zaimplementowana.");
   }

   public override int GetNumberOfUsersOnline()
   {
      throw new Exception("Metoda lub operacja nie jest zaimplementowana.");
   }

   public override string GetPassword(string username, string answer)
   {
      throw new Exception("Metoda lub operacja nie jest zaimplementowana.");
   }

   public override MembershipUser GetUser(string username, bool userIsOnline)
   {
      throw new Exception("Metoda lub operacja nie jest zaimplementowana.");
   }

   public override MembershipUser GetUser(object providerUserKey, bool userIsOnline)
   {
      throw new Exception("Metoda lub operacja nie jest zaimplementowana.");
   }

   public override string GetUserNameByEmail(string email)
   {
      throw new Exception("Metoda lub operacja nie jest zaimplementowana.");
   }

   public override int MaxInvalidPasswordAttempts
   {
      get { throw new Exception("Metoda lub operacja nie jest zaimplementowana."); }
   }

   public override int MinRequiredNonAlphanumericCharacters
   {
      get { throw new Exception("Metoda lub operacja nie jest zaimplementowana."); }
   }

   public override int MinRequiredPasswordLength
   {
      get { throw new Exception("Metoda lub operacja nie jest zaimplementowana."); }
   }

   public override int PasswordAttemptWindow
   {
      get { throw new Exception("Metoda lub operacja nie jest zaimplementowana."); }
   }

   public override MembershipPasswordFormat PasswordFormat
   {
      get { throw new Exception("Metoda lub operacja nie jest zaimplementowana."); }
   }

   public override string PasswordStrengthRegularExpression
   {
      get { throw new Exception("Metoda lub operacja nie jest zaimplementowana."); }
   }

   public override bool RequiresQuestionAndAnswer
   {
      get { throw new Exception("Metoda lub operacja nie jest zaimplementowana."); }
   }

   public override bool RequiresUniqueEmail
   {
      get { throw new Exception("Metoda lub operacja nie jest zaimplementowana."); }
   }

   public override string ResetPassword(string username, string answer)
   {
      throw new Exception("Metoda lub operacja nie jest zaimplementowana.");
   }

   public override bool UnlockUser(string userName)
   {
      throw new Exception("Metoda lub operacja nie jest zaimplementowana.");
   }

   public override void UpdateUser(MembershipUser user)
   {
      throw new Exception("Metoda lub operacja nie jest zaimplementowana.");
   }

   public override bool ValidateUser(string username, string password)
   {
      throw new Exception("Metoda lub operacja nie jest zaimplementowana.");
   }
}
